WordPressでプラグインが有効化できない・・・。

  • このエントリーをはてなブックマークに追加

WordPress Plugin

先日からとあるサイトの制作において、WordPressを携帯で更新可能にするプラグインを投入しようとしているのですが、有効化できないんです。ちなみに今回試しているのは、携帯投稿のプラグインの中で最もポピュラーな『Ktai Entry』と『iPhone / Mobile Admin』です。

これれがうまく動いてくれない原因は、どうやらphpのバージョンのようです。5.0.0 以降でなければ動かないようでして、プラグインを入れようとすると「ktai_entry.php on line 73」というメッセージと共に「重大なエラーを引き起こしたのでプラグインの有効化はできませんでした。」と表示されちゃいます。

これからサーバー内のphpmyadminに入りphpのバージョン変更にチャレンジしてみようと思います。正直こんなところでつまずくとは思いませんでしたが、結構これで苦しんでいる方が多いようです。うまく動作でき次第また続きを書きたいと思います。

ちなみに、エラー表示が「Fatal error: Cannot redeclare auth_redirect() (previously declared in /ドメイン名/http/fp/wp-includes/pluggable.php:658) in /ドメイン名/http/fp/wp-content/plugins/ktai_style/admin/pluggable- override.php on line 13」と記載された場合は、FirefoxのFire Mobile Simulatorアドオンが原因だそうです。この場合は、IEなどの別のブラウザで実行すれば有効化できるようですよー。お困りの方は是非お試し下さい。

にしても、この辺りまで来るとマジでハイレベルです。でも、理解していくと楽しい!人の造ったモノですから、人の考える事は実現可能なはず!何とか手段を探すべく、グーグルへ飛びます!

コメントを残す

メールアドレスが公開されることはありません。

次のHTML タグと属性が使えます: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>